Bug 971081 - Slim should use the alternate system instead of requiring xterm as a dependency [NEEDINFO]
Slim should use the alternate system instead of requiring xterm as a dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: slim (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: FutureFeature
: 984241 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:52 EDT by windseeker1985
Modified: 2014-02-05 16:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: slim could use the alternate system instaed of requiring xterm Reason: avoiding another dependecy if the system as already a terminal emulator installed Result (if any): Remove xterm dependecy
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:41:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: needinfo?


Attachments (Terms of Use)

  None (edit)
Description windseeker1985 2013-06-05 11:52:44 EDT
Description of problem:
Slim should use the alternate system instead of requiring xterm as
a dependency, therefore being able to use any terminal emulator.

Version-Release number of selected component (if applicable):
slim.x86_64 1.3.5-2.fc18

How reproducible:
Just installing slim

Steps to Reproduce:
1. Install slim

Actual results:
Xterm is a required dependecy

Expected results:
Be able not use xterm but any terminal emulator as a dependecy

Additional info:
Test on x86_64 fedora 18 pc.
Comment 1 Pavel Alexeev 2013-06-16 12:14:04 EDT
Slim uses xterm in config as minimum terminal. What kind of alternatives you are suppose using there? Is there such symlinks to point on some abstract terminal?
Comment 2 windseeker1985 2013-06-18 17:31:13 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #1)
> Slim uses xterm in config as minimum terminal. What kind of alternatives you
> are suppose using there? Is there such symlinks to point on some abstract
> terminal?

Basically something similar to what the slim-update_slim_wmlist patch does, but instead of doing it for x-window-manager alternative and x-session-manager alternative could be doing it for x-terminal alternative.
Comment 3 Pavel Alexeev 2013-06-23 11:56:06 EDT
I'm not argue to add such metarequire, but can't find something similar:
[root@hubbitus ~]# repoquery --provides konsole
konsole = 4.10.4-1.fc18
konsole(x86-64) = 4.10.4-1.fc18
libkdeinit4_konsole.so()(64bit)
[root@hubbitus ~]# repoquery --provides xterm
xterm = 291-1.fc18
xterm(x86-64) = 291-1.fc18
[root@hubbitus ~]# repoquery --provides Terminal
Terminal = 0.4.8-4.fc18
Terminal(x86-64) = 0.4.8-4.fc18

Off course we may just try hardcode some names and search one of present, but as rpm does not provide soft-dependencies I still need some name to put into Require. Otherwise we have risk to no one have been found at runtime.
Comment 4 Pavel Alexeev 2013-07-20 05:22:39 EDT
*** Bug 984241 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2013-12-21 08:52:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:41:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.